import { OnDestroy, OnInit } from '@angular/core';
import { TransactionEventService } from '../../service/transaction-event.service';
export declare class ClickBlockComponent implements OnInit, OnDestroy {
    private _transactionEventService;
    showClass(): boolean;
    show: boolean;
    private _subs;
    constructor(_transactionEventService: TransactionEventService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
